Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema Class Reference

`#include <OLight.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema:
[legend]

## Public Types

typedef OLightSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
typedef LightSchemaInfo | info_type
typedef OSchema< LightSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OLightSchema ()
| OLightSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OLightSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
| OLightSchema (const OLightSchema &iCopy)
| Copy constructor.
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used.
size_t | getNumSamples ()
void | setCameraSample (const CameraSample &iSamp)
| Set a sample.
void | setFromPrevious ()
| Set from previous sample.
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
Abc::OCompoundProperty | getUserProperties ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OBox3dProperty | getChildBoundsProperty ()
void | reset ()
bool | valid () const
| Returns whether this function set is valid.
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OLightSchema::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
| OSchema ()
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (AbcA::CompoundPropertyWriterPtr iParent, const Abc::Argument &iArg0, const Abc::Argument &iArg1, const Abc::Argument &iArg2, const Abc::Argument &iArg3)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

AbcA::TimeSamplingPtr | m_tsPtr
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_userProperties
Abc::OCompoundProperty | m_arbGeomParams
AbcGeom::OCameraSchema | m_cameraSchema
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)

## Detailed Description

Definition at line 51 of file OLight.h.

## Member Typedef Documentation

## this_type

typedef OLightSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 59 of file OLight.h.

## Constructor & Destructor Documentation

## OLightSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( |  | ) |

inline

The default constructor creates an empty OLightMeshSchema ...

Definition at line 67 of file OLight.h.

Referenced by OLightSchema().

Here is the caller graph for this function:

## OLightSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new light writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OLight (.geom) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## OLightSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new light writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OLight (.geom) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## OLightSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( | const OLightSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 95 of file OLight.h.

References OLightSchema(), and Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >::OSchema().

Here is the call graph for this function:

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OLightSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

References valid().

Here is the call graph for this function:

## getArbGeomParams()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getArbGeomParams | ( |  | ) |

## getChildBoundsProperty()

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getChildBoundsProperty | ( |  | ) |

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getNumSamples | ( |  | ) |

All of our properties are not mandatory so we'll just use the child bounds.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getTimeSampling | ( |  | ) | const

inline

Default assignment operator used.

Return the time sampling.

Definition at line 108 of file OLight.h.

References m_tsPtr.

## getUserProperties()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getUserProperties | ( |  | ) |

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::init | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1,
|  | const Abc::Argument & | iArg2,
|  | const Abc::Argument & | iArg3 )

protected

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::reset | ( |  | ) |

inline

Reset returns this function set to an empty, default state.

Definition at line 138 of file OLight.h.

References m_arbGeomParams, m_cameraSchema, m_childBoundsProperty, and m_userProperties.

## setCameraSample()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::setCameraSample | ( | const CameraSample & | iSamp | ) |

Set a sample.

## setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::setFromPrevious | ( |  | ) |

Set from previous sample.

## setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::setTimeSampling | ( | uint32_t | iIndex | ) |

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::valid | ( |  | ) | const

inline

Returns whether this function set is valid.

Definition at line 148 of file OLight.h.

Referenced by ALEMBIC_OVERRIDE_OPERATOR_BOOL().

Here is the caller graph for this function:

## Member Data Documentation

## m_arbGeomParams

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::m_arbGeomParams

protected

Definition at line 170 of file OLight.h.

Referenced by reset().

## m_cameraSchema

AbcGeom::OCameraSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::m_cameraSchema

protected

Definition at line 172 of file OLight.h.

Referenced by reset().

## m_childBoundsProperty

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::m_childBoundsProperty

protected

Definition at line 167 of file OLight.h.

Referenced by reset().

## m_tsPtr

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::m_tsPtr

protected

Definition at line 165 of file OLight.h.

Referenced by getTimeSampling().

## m_userProperties

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::m_userProperties

protected

Definition at line 169 of file OLight.h.

Referenced by reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OLight.h